# include/gutenprint/curve-cache.h File Reference

Curve caching functions. More...

`#include <gutenprint/curve.h>`

## Data Structures

struct | stp_cached_curve_t

## Defines

#define | CURVE_CACHE_FAST_USHORT(cache) ((cache)->s_cache)
#define | CURVE_CACHE_FAST_DOUBLE(cache) ((cache)->d_cache)
#define | CURVE_CACHE_FAST_COUNT(cache) ((cache)->count)

## Functions

void | stp_curve_free_curve_cache (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_data (stp_cached_curve_t *cache)
stp_curve_t * | stp_curve_cache_get_curve (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_invalidate (stp_cached_curve_t *cache)
void | stp_curve_cache_set_curve (stp_cached_curve_t *cache, stp_curve_t *curve)
void | stp_curve_cache_set_curve_copy (stp_cached_curve_t *cache, const stp_curve_t *curve)
size_t | stp_curve_cache_get_count (stp_cached_curve_t *cache)
const unsigned short * | stp_curve_cache_get_ushort_data (stp_cached_curve_t *cache)
const double * | stp_curve_cache_get_double_data (stp_cached_curve_t *cache)
void | stp_curve_cache_copy (stp_cached_curve_t *dest, const stp_cached_curve_t *src)

## Detailed Description

Curve caching functions.

## Define Documentation

#define CURVE_CACHE_FAST_COUNT | ( | cache |  | ) | ((cache)->count)

#define CURVE_CACHE_FAST_DOUBLE | ( | cache |  | ) | ((cache)->d_cache)

#define CURVE_CACHE_FAST_USHORT | ( | cache |  | ) | ((cache)->s_cache)

## Function Documentation

void stp_curve_cache_copy | ( | stp_cached_curve_t * | dest,
|  | const stp_cached_curve_t * | src |
| ) |  |  |

void stp_curve_cache_curve_data | ( | stp_cached_curve_t * | cache | ) |

void stp_curve_cache_curve_invalidate | ( | stp_cached_curve_t * | cache | ) |

size_t stp_curve_cache_get_count | ( | stp_cached_curve_t * | cache | ) |

stp_curve_t* stp_curve_cache_get_curve | ( | stp_cached_curve_t * | cache | ) |

const double* stp_curve_cache_get_double_data | ( | stp_cached_curve_t * | cache | ) |

const unsigned short* stp_curve_cache_get_ushort_data | ( | stp_cached_curve_t * | cache | ) |

void stp_curve_cache_set_curve | ( | stp_cached_curve_t * | cache,
|  | stp_curve_t * | curve |
| ) |  |  |

void stp_curve_cache_set_curve_copy | ( | stp_cached_curve_t * | cache,
|  | const stp_curve_t * | curve |
| ) |  |  |

void stp_curve_free_curve_cache | ( | stp_cached_curve_t * | cache | ) |